X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Latest Firefox uses all cpu and crashes. How can I go back to 2009 which worked great?

Posted

Version 2009 worked great how can I install it over latest version? Where can I find the download?

Additional System Details

Application

  • User Agent: Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET CLR 1.1.4322; .NET4.0C)

More Information

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

hello, i don't know what exactly you're referring to - a firefox version which such a number never existed. you could try if a reset of the browser can fix your problem.

James
  • Top 25 Contributor
  • Moderator
437 solutions 3156 answers

Helpful Reply

If you mean Firefox version and not the year 2009 then the old Firefox 2.0.0.9 is rather outdated/inscure as it came out back on November 1, 2007.

Even those Firefox versions that were released back in year 2009 such as 3.5.* and later 3.0.* updates are outdated and rather vulnerable now.

http://www.mozilla.org/security/known-vulnerabilities/